


###############################################################################
#### Selection of the significant ASV in the fasta (based on MDG values) #####
###############################################################################
cd ~/Desktop/RF/V4/data/training/


    # Clostridiales
cp ../../RFclassification/MDG/list_ASVs_clostridiales_MDG_100x_10000trees.txt ListClostridiales_ASVs.temp.txt
./Search3.7.py Clostridiales.fa ListClostridiales_ASVs.temp.txt ASVs_MDG_clostridiales_seq.temp.fa

    
    # Bacteroidales
cp ../../RFclassification/MDG/list_ASVs_bacteroidales_MDG_100x_10000trees.txt ListBacteroidales_ASVs.temp.txt
./Search3.7.py Bacteroidales.fa ListBacteroidales_ASVs.temp.txt ASVs_MDG_bacteroidales_seq.temp.fa


    # Merge datasets
cat *_seq.temp.fa > ASVSelectedBasedMDG.temp.fa
./flattenFA ASVSelectedBasedMDG.temp.fa > ASVSelectedBasedMDG.fa
cp ASVSelectedBasedMDG.fa Gini_v4_seq.fa # for the website

	# Clean the mess...
rm -rf *.temp.*




############################################################
#### Extraction of the gini-ASV among the user dataset #####
############################################################
cd ~/Desktop/RF/V4/data/testing/
python ./count.py user.fasta test.txt
